package models

import (
	"errors"
	"fmt"
)

var ErrModelConversionWarning = errors.New("API model conversion had issues")

func NewModelConversionWarning(formatString string, args ...any) error {
	return &modelConversionWarning{message: fmt.Sprintf(formatString, args...)}
}

type modelConversionWarning struct {
	message string
}

func (conversionWarning *modelConversionWarning) Is(other error) bool {
	return other == ErrModelConversionWarning
}

func (conversionWarning *modelConversionWarning) Error() string {
	return conversionWarning.message
}
